from .math import *  # noqa: F403

"""
Math module for opensourceleg library.

Module Overview:

This module provides mathematical functionalities for the opensourceleg library.

Key Classes:

-   `ThermalModel` class is used to model the thermal behavior of an actuator.
-   `SaturatingRamp` class is used to generate a saturating ramp signal that can be used to ramp up or down a signal.
-   `EdgeDetector` class is used to detect edges in a signal.
-   `clamp_within_vector_range` function is used to ensure that a value remains within a specified range.
"""
